float timeParser(String rawTime) {
  String[] times = split(rawTime, ':');
  float parsedTime = float(times[0])*60 + float(times[1]);
  return parsedTime;
}


float dateParser(String rawDate) {
  String[] dates = split(rawDate, '-');
  float parsedDate =float(dates[1])*30 + float(dates[2]);
  return parsedDate;
}

float yearParser(String rawDate) {
  String[] dates = split(rawDate, '-');
  float parsedYear = float(dates[0]);
  return parsedYear;
}

float monthParser(String rawDate) {
  String[] dates = split(rawDate, '-');
  float parsedMonth = float(dates[1]);
  return parsedMonth;
}

//max value is 278
//#04201E,#0C382F,#1D523C,#366C46,#55864C,#7CA04F,#A8B952,#DBD057
//#351818,#562A28,#793F38,#9D5447 #AC5039,#C56637,#D98132,#E89E2C
color colorDetermine0(int counts) {
  color c = #FFFFFF;
  if (counts/40 == 0) {
    c = #351818;
  } else if (counts/40==1) {
    c = #562A28;
  } else if (counts/40==2) {
    c = #793F38;
  } else if (counts/40==3) {
    c = #9D5447;
  } else if (counts/40==4) {
    c = #AC5039;
  } else if (counts/40==5) {
    c = #C56637;
  } else if (counts/40==6) {
    c = #D98132;
  } else if (counts/40==7) {
    c = #E89E2C;
  }
  return c;
}

//max value is 239
//#161C27,#253645,#325365,#3C7185,#4392A4,#48B4C3,#4CD8DF,#52FDF9
color colorDetermine1(int counts) {
  color c = #FFFFFF;
  if (counts/35 == 0) {
    c = #161C27;
  } else if (counts/35==1) {
    c = #253645;
  } else if (counts/35==2) {
    c = #325365;
  } else if (counts/35==3) {
    c = #3C7185;
  } else if (counts/35==4) {
    c = #4392A4;
  } else if (counts/35==5) {
    c = #48B4C3;
  } else if (counts/35==6) {
    c = #4CD8DF;
  } else if (counts/35==7) {
    c = #52FDF9;
  }
  return c;
}

//max value is 320
color colorDetermine2(int counts) {
  color c = #FFFFFF;
  if (counts/46 == 0) {
    c = #1D3141;
  } else if (counts/46==1) {
    c = #144A56;
  } else if (counts/46==2) {
    c = #016465;
  } else if (counts/46==3) {
    c = #127E6A;
  } else if (counts/46==4) {
    c = #3C9867;
  } else if (counts/46==5) {
    c = #6DAF5E;
  } else if (counts/46==6) {
    c = #A5C453;
  } else if (counts/46==7) {
    c = #E4D44F;
  }
  return c;
}
//#0E2735,#24354B,#3E4260,#5D4E73,#7F5884,#A46290,#CA6B98,#EF759C
color colorDetermine3(int counts) {
  color c = #FFFFFF;
  if (counts/40 == 0) {
    c = #0E2735;
  } else if (counts/24==1) {
    c = #24354B;
  } else if (counts/24==2) {
    c = #3E4260;
  } else if (counts/24==3) {
    c = #5D4E73;
  } else if (counts/24==4) {
    c = #7F5884;
  } else if (counts/24==5) {
    c = #A46290;
  } else if (counts/24==6) {
    c = #CA6B98;
  } else if (counts/24==7) {
    c = #EF759C;
  }
  return c;
}